Appearance
Find question by ID
Questions
By default returns a visible question. To fetch a trashed question a valid moderatorId value is required.
GET
/questions/{id}
Parameters
Path Parameters
id*
ID of the question to interact with
Type
Requiredstring
Query Parameters
moderatorId
ID of the moderator fetching the question
Type
string
resolveEmbeds
When set to true, resolves oembed URLs in the content and replaces them with embed HTML
Type
boolean
Default
falseResponses
Successful response
application/json
JSON "result": { "id": "1", "publicId": "5", "title": "How do I start a question?", "content": "Perhaps I should place my content here?", "author": { "id": "7", "username": "john-doe", "customTitle": "awesome_user", "signature": "awesome_user", "avatar": "http://example.com/avatar123.jpg", "reputation": { "rank": "senior_replier", "rankIcon": "http://example.com/rank-icon.jpg", "rankIconThumbnail": "http://example.com/rank-icon-thumbnail.jpg", "likesReceived": 0, "repliesMade": 0 } }, "categoryId": "6", "askedAt": "2017-04-10T15:29:06+00:00", "lastActivityAt": "2017-04-10T18:29:06+00:00", "replyCount": 21, "spamReplyCount": 0, "pendingReplyCount": 0, "trashedReplyCount": 0, "totalReplyCount": 0, "inclusiveReplyCount": 0, "inclusiveVisibleReplyCount": 0, "tags": [ [ "faq" ] ], "likedBy": [ [ "100", "152", "203" ] ], "answer": "22", "sticky": false, "closed": true, "trashed": false, "spam": true, "reported": true, "reportedContent": [ { "id": "string", "reason": "string", "reportedAt": "string", "reportedBy": { "id": "7", "username": "john-doe", "customTitle": "awesome_user", "signature": "awesome_user", "avatar": "http://example.com/avatar123.jpg", "reputation": { "rank": "senior_replier", "rankIcon": "http://example.com/rank-icon.jpg", "rankIconThumbnail": "http://example.com/rank-icon-thumbnail.jpg", "likesReceived": 0, "repliesMade": 0 } } } ], "pendingApproval": false, "containsPoll": true, "seoCommunityUrl": "/category-name-6/how-do-i-start-a-question-5" }
{
}

